Bug 229366 - devel/git: PCRE not built in.
Summary: devel/git: PCRE not built in.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL: https://pkg.absolight.net/data/latest...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-27 14:11 UTC by Mathieu Arnold
Modified: 2018-07-16 13:58 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (garga)


Attachments
Make configure to check for pcre1 not pcre2 (606 bytes, patch)
2018-07-11 11:51 UTC, Herbert J. Skuhra
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2018-06-27 14:11:53 UTC
$ git grep -P '@.*exec.*(start|stop)'
fatal: cannot use Perl-compatible regexes when not compiled with USE_LIBPCRE
$ pkg info git | grep PCRE
        PCRE           : on


Build log added as the URL.
Comment 1 Herbert J. Skuhra 2018-07-11 11:51:26 UTC
Created attachment 195050 [details]
Make configure to check for pcre1 not pcre2

The attached patch works for me.

% uname -rms
FreeBSD 12.0-CURRENT amd64
% ldd `which git` |grep pcre        
        libpcre.so.1 => /usr/local/lib/libpcre.so.1 (0x80046e000)

Or should the port use devel/pcre2?
Comment 2 Renato Botelho freebsd_committer 2018-07-11 12:39:40 UTC
I'll keep version 1 as default but will also add version 2 as a possible option. I'm testing the patch right now. Thanks!
Comment 3 commit-hook freebsd_committer 2018-07-11 13:04:51 UTC
A commit references this bug:

Author: garga
Date: Wed Jul 11 13:03:59 UTC 2018
New revision: 474443
URL: https://svnweb.freebsd.org/changeset/ports/474443

Log:
  - Fix build with PCRE using --with-pcre1 configure option since git moved
    default --with-pcre to use version 2
  - Add a new OPTION PCRE2 to let it build with devel/pcre2
  - Bump PORTREVISION

  PR:		229366
  Submitted by:	mat
  MFH:		2018Q3
  Sponsored by:	Rubicon Communications, LLC (Netgate)

Changes:
  head/devel/git/Makefile
Comment 4 commit-hook freebsd_committer 2018-07-11 14:22:55 UTC
A commit references this bug:

Author: garga
Date: Wed Jul 11 14:22:46 UTC 2018
New revision: 474451
URL: https://svnweb.freebsd.org/changeset/ports/474451

Log:
  MFH: r474443

  - Fix build with PCRE using --with-pcre1 configure option since git moved
    default --with-pcre to use version 2
  - Add a new OPTION PCRE2 to let it build with devel/pcre2
  - Bump PORTREVISION

  PR:		229366
  Submitted by:	mat
  Sponsored by:	Rubicon Communications, LLC (Netgate)
  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q3/
  branches/2018Q3/devel/git/Makefile
Comment 5 Mathieu Arnold freebsd_committer 2018-07-16 13:58:24 UTC
To be fair, it was not "submitted by" me, but only "reported by" me :-)